<template>
  <div class="report-absent">
    <el-table ref="TableList" :data="dataList">
      <el-table-column type="index" label="排序"></el-table-column>
      <el-table-column prop="examName" label="批次名称（ID）"></el-table-column>
      <el-table-column
        prop="examActivityCode"
        label="场次代码"
      ></el-table-column>
      <el-table-column prop="roomName" label="考场名称（代码）">
        <span slot-scope="scope"
          >{{ scope.row.roomName }}({{ scope.row.roomCode }})</span
        >
      </el-table-column>
      <el-table-column prop="identity" label="证件号"></el-table-column>
      <el-table-column prop="name" label="姓名"></el-table-column>
      <el-table-column prop="courseCode" label="科目名称（代码）">
        <span slot-scope="scope"
          >{{ scope.row.courseName }}({{ scope.row.courseCode }})</span
        ></el-table-column
      >
    </el-table>
    <div class="part-page">
      <el-pagination
        background
        layout="prev, pager, next,total,sizes,jumper"
        :current-page="current"
        :total="total"
        :page-size.sync="size"
        @size-change="toPage(1)"
        @current-change="toPage"
      >
      </el-pagination>
    </div>
  </div>
</template>

<script>
import { reportAbsentData } from "@/api/invigilation";

export default {
  name: "report-absent",
  props: {
    filter: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      current: 1,
      total: 0,
      size: 10,
      dataList: [],
    };
  },
  mounted() {
    this.getData();
  },
  methods: {
    async getList() {
      const datas = {
        ...this.filter,
        pageNumber: this.current,
        pageSize: this.size,
      };

      const res = await reportAbsentData(datas);

      this.dataList = res.data.data.records;
      this.total = res.data.data.total;
    },
    toPage(page) {
      this.current = page;
      this.getList();
    },
    getData() {
      this.toPage(1);
    },
  },
};
</script>
